Gradient in JavaScript Stock chart control

18 Nov 201816 minutes to read

Gradients add depth and modern styling to charts by smoothly blending multiple colors. The Charts component supports two gradient types:

  • Linear gradient
  • Radial gradient

Gradients can be applied to:

  • Series
  • Trendlines
  • Technical Indicators

Linear gradient

A linear gradient blends color along side a straight path from a defined start point to an end point. Configure it by adding linearGradient inside the target element (Series, Trendlines or Indicators) and define one or more color stops that control how colors transition across the gradient. Set the start and end positions of the gradient using x1, y1, x2 and y2 properties. The gradient color stop values such as offset, color, opacity, lighten and brighten are set using the gradientColorStop property.

In the linearGradient:

  • x1 - Sets the horizontal start position of the gradient (0 to 1).
  • y1 - Sets the vertical start position of the gradient (0 to 1).
  • x2 - Sets the horizontal end position of the gradient (0 to 1).
  • y2 - Sets the vertical end position of the gradient (0 to 1).

In the gradientColorStop:

  • offset - Specifies the position of the color stop along the gradient (0 to 100).
  • color - Sets the color at the stop.
  • opacity - Defines the transparency of the stop (0 to 1).
  • lighten - Adjusts lightness at the stop. Positive values lighten the color. Range: 0 to 1.
  • brighten - Adjusts brightness at the stop. Positive values increase brightness; negative values decrease it. Ranges: -1 to 1.

Series

Apply a linear gradient to a series by adding linearGradient inside the target Series. The same gradient is applied to the series markers, legend symbol and tooltip marker for visual consistency.

var stockChart = new ej.charts.StockChart({
  primaryXAxis: {
    valueType: 'DateTime',
  },
  primaryYAxis: {
    interval: 10
  },
  series: [
    {
      name: 'AAPL',
      dataSource: StockDetails,
      type: 'Candle',
      xName: 'Date', high: 'High', low: 'Low', open: 'Open', close: 'Close', volume: 'Volume',
      linearGradient: {
        x1: 0, y1: 0,
        x2: 1, y2: 1,
        gradientColorStop: [
          { color: '#FF7E5F', offset: 0, opacity: 1, lighten: 0, brighten: 0 },
          { color: '#FEB47B', offset: 100, opacity: 1, lighten: 0, brighten: 0.5 },
        ]
      }
    }
  ],
  title: 'AAPL Stock Price',
});
stockChart.appendTo('#element');
<!DOCTYPE html><html lang="en"><head>
    <title>Chart dimension</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="./index.css" rel="stylesheet">
    <link href="./material.css" rel="stylesheet">
    <link href="http://cdn.syncfusion.com/ej2/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/34.1.29/dist/ej2.min.js" type="text/javascript"></script>
<script src="es5-datasource.js" type="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <div id="element"></div>
    </div>


<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Technical Indicators

Apply a linear gradient to a technical indicator by adding linearGradient inside the target Indicator.

var stockChart = new ej.charts.StockChart({
  chartArea: { border: { width: 0 } },
  primaryYAxis: {
    lineStyle: { color: 'transparent' },
    majorTickLines: { color: 'transparent', width: 0 },
  },
  border: { width: 0 },
  primaryXAxis: { majorGridLines: { color: 'transparent' }, crosshairTooltip: { enable: true } },
  series: [
    {
      dataSource: stockchartData, name: 'Apple Inc',
      type: 'Candle'
    },
  ],
  indicators: [{
    type: 'Ema', field: 'Close', seriesName: 'Apple Inc', xName: 'date', high: 'high', low: 'low', open: 'open', close: 'close',
    period: 10,
    linearGradient: {
      x1: 0, y1: 0,
      x2: 0, y2: 1,
      gradientColorStop: [
        { color: 'red', offset: 0, opacity: 1 },
        { color: 'blue', offset: 100, opacity: 1 },
      ]
    }
  }],
  seriesType: [],
  exportType: [],
  trendlineType: [],
  tooltip: {
    enable: true
  },
  crosshair: {
    enable: true
  },
  height: '350',
});
stockChart.appendTo('#element');
<!DOCTYPE html><html lang="en"><head>
    <title>Chart dimension</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="./index.css" rel="stylesheet">
    <link href="./material.css" rel="stylesheet">
    <link href="http://cdn.syncfusion.com/ej2/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/34.1.29/dist/ej2.min.js" type="text/javascript"></script>
<script src="es5-datasource.js" type="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <div id="element"></div>
    </div>


<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Radial gradient

A radial gradient blends colors outward from a central point, creating a circular or elliptical color progression. Configure it by adding radialGradient inside the target element (Series, Trendline, or Indicator) and define one or more color stops to control how colors transition from the center to the outer edge. Set the gradient’s center, optional focal point, and radius using radialGradient properties. The color stop values such as offset, color, opacity, lighten, and brighten are set using the gradientColorStop property.

In the radialGradient:

  • cx - Sets the normalized horizontal center of the gradient (0 to 1).
  • cy - Sets the normalized vertical center of the gradient (0 to 1).
  • fx - Sets the normalized horizontal focal point from which the gradient appears to originate (0 to 1).
  • fy - Sets the normalized vertical focal point (0 to 1).
  • r - Sets the normalized radius of the gradient circle (0 to 1).

In the gradientColorStop:

  • offset - Specifies the position of the color stop along the gradient (0 to 100).
  • color - Sets the color at the stop.
  • opacity - Defines the transparency of the stop (0 to 1).
  • lighten - Adjusts lightness at the stop. Positive values lighten the color. Range: 0 to 1.
  • brighten - Adjusts brightness at the stop. Positive values increase brightness; negative values decrease it. Ranges: -1 to 1.

Series

Apply a radial gradient to a series by adding radialGradient inside the target Series. The same gradient is applied to the series markers, legend symbol and tooltip marker for visual consistency.

var stockChart = new ej.charts.StockChart({
  primaryXAxis: {
    majorGridLines: {
      width: 0
    },
  },
  primaryYAxis: {
    majorGridLines: {
      width: 0
    },
    interval: 10
  },
  series: [
    {
      dataSource: stockData,
      xName: 'x',
      radialGradient: {
        cx: 0.5, cy: 0.5, r: 0.5,
        fx: 0.5, fy: 0.5,
        gradientColorStop: [
          { color: '#FFFF00', offset: 0, opacity: 1, lighten: 0, brighten: 0 },
          { color: '#7C3AED', offset: 100, opacity: 1, lighten: 0, brighten: 0 },
        ]
      }
    }
  ],
  title: 'AAPL Stock Price',
});
stockChart.appendTo('#element');
<!DOCTYPE html><html lang="en"><head>
    <title>Chart dimension</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="./index.css" rel="stylesheet">
    <link href="./material.css" rel="stylesheet">
    <link href="http://cdn.syncfusion.com/ej2/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/34.1.29/dist/ej2.min.js" type="text/javascript"></script>
<script src="es5-datasource.js" type="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <div id="element"></div>
    </div>


<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Technical Indicators

Apply a radial gradient to a technical indicator by adding radialGradient inside the target Indicator.

var stockChart = new ej.charts.StockChart({
  chartArea: { border: { width: 0 } },
  primaryYAxis: {
    lineStyle: { color: 'transparent' },
    majorTickLines: { color: 'transparent', width: 0 },
  },
  border: { width: 0 },
  primaryXAxis: { majorGridLines: { color: 'transparent' }, crosshairTooltip: { enable: true } },
  series: [
    {
      dataSource: stockchartData, name: 'Apple Inc',
      type: 'Candle'
    },
  ],
  indicators: [{
    type: 'Ema', field: 'Close', seriesName: 'Apple Inc', xName: 'date', high: 'high', low: 'low', open: 'open', close: 'close',
    period: 10,
    radialGradient: {
      cx: 0.5, cy: 0.5, r: 0.5,
      fx: 0.5, fy: 0.5,
      gradientColorStop: [
        { color: 'red', offset: 0, opacity: 1 },
        { color: 'blue', offset: 100, opacity: 1 },
      ]
    }
  }],
  seriesType: [],
  exportType: [],
  trendlineType: [],
  tooltip: {
    enable: true
  },
  crosshair: {
    enable: true
  },
  height: '350',
});
stockChart.appendTo('#element');
<!DOCTYPE html><html lang="en"><head>
    <title>Chart dimension</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="./index.css" rel="stylesheet">
    <link href="./material.css" rel="stylesheet">
    <link href="http://cdn.syncfusion.com/ej2/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/34.1.29/dist/ej2.min.js" type="text/javascript"></script>
<script src="es5-datasource.js" type="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <div id="element"></div>
    </div>


<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Gradient in Angular Stock chart control

18 Nov 201817 minutes to read

Gradients add depth and modern styling to charts by smoothly blending multiple colors. The Charts component supports two gradient types:

  • Linear gradient
  • Radial gradient

Gradients can be applied to:

  • Series
  • Trendlines
  • Technical Indicators

Linear gradient

A linear gradient blends color along side a straight path from a defined start point to an end point. Configure it by adding linearGradient inside the target element (Series, Trendlines or Indicators) and define one or more color stops that control how colors transition across the gradient. Set the start and end positions of the gradient using x1, y1, x2 and y2 properties. The gradient color stop values such as offset, color, opacity, lighten and brighten are set using the gradientColorStop property.

In the linearGradient:

  • x1 - Sets the horizontal start position of the gradient (0 to 1).
  • y1 - Sets the vertical start position of the gradient (0 to 1).
  • x2 - Sets the horizontal end position of the gradient (0 to 1).
  • y2 - Sets the vertical end position of the gradient (0 to 1).

In the gradientColorStop:

  • offset - Specifies the position of the color stop along the gradient (0 to 100).
  • color - Sets the color at the stop.
  • opacity - Defines the transparency of the stop (0 to 1).
  • lighten - Adjusts lightness at the stop. Positive values lighten the color. Range: 0 to 1.
  • brighten - Adjusts brightness at the stop. Positive values increase brightness; negative values decrease it. Ranges: -1 to 1.

Series

Apply a linear gradient to a series by adding linearGradient inside the target Series. The same gradient is applied to the series markers, legend symbol and tooltip marker for visual consistency.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { StockChartModule, ChartModule, ChartAllModule } from '@syncfusion/ej2-angular-charts';
import { CandleSeriesService, TooltipService } from '@syncfusion/ej2-angular-charts';



import { Component, OnInit } from '@angular/core';
import { StockDetails } from './datasource';

@Component({
    imports: [StockChartModule, ChartModule, ChartAllModule],
    providers: [CandleSeriesService, TooltipService],
    standalone: true,
    selector: 'app-container',
    template: `<ejs-stockchart id="chart-container" [primaryXAxis]="primaryXAxis" [primaryYAxis]="primaryYAxis" [title]="title">
        <e-stockchart-series-collection>
            <e-stockchart-series [dataSource]="stockData" type="Candle" name="AAPL" xName="Date" high="High" low="Low" open="Open" close="Close" volume="Volume" [linearGradient]="linearGradient"></e-stockchart-series>
        </e-stockchart-series-collection>
    </ejs-stockchart>`
})
export class AppComponent implements OnInit {
    public primaryXAxis?: Object;
    public primaryYAxis?: Object;
    public stockData?: Object[];
    public linearGradient?: Object;
    public title?: string;

    ngOnInit(): void {
        this.stockData = StockDetails;
        this.primaryXAxis = { valueType: 'DateTime' };
        this.primaryYAxis = { interval: 10 };
        this.linearGradient = {
            x1: 0, y1: 0,
            x2: 1, y2: 1,
            gradientColorStop: [
                { color: '#FF7E5F', offset: 0, opacity: 1, lighten: 0, brighten: 0 },
                { color: '#FEB47B', offset: 100, opacity: 1, lighten: 0, brighten: 0.5 }
            ]
        };
        this.title = 'AAPL Stock Price';
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Technical Indicators

Apply a linear gradient to a technical indicator by adding linearGradient inside the target Indicator.

import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { StockChartModule, ChartModule, ChartAllModule } from '@syncfusion/ej2-angular-charts';
import { CandleSeriesService, EmaIndicatorService, TooltipService, CrosshairService } from '@syncfusion/ej2-angular-charts';



import { Component, OnInit } from '@angular/core';
import { chartData } from './datasource';

@Component({
    imports: [StockChartModule, ChartModule, ChartAllModule],
    providers: [CandleSeriesService, EmaIndicatorService, TooltipService, CrosshairService],
    standalone: true,
    selector: 'app-container',
    template: `<ejs-stockchart id="chart-container" [chartArea]="chartArea" [primaryYAxis]="primaryYAxis" [primaryXAxis]="primaryXAxis" [tooltip]="tooltip" [crosshair]="crosshair" [height]="height">
        <e-stockchart-series-collection>
            <e-stockchart-series [dataSource]="stockData" name="Apple Inc" type="Candle"></e-stockchart-series>
        </e-stockchart-series-collection>
        <e-stockchart-indicators>
            <e-stockchart-indicator type="Ema" field="Close" seriesName="Apple Inc" xName="date" high="high" low="low" open="open" close="close" [period]="10" [linearGradient]="indicatorGradient"></e-stockchart-indicator>
        </e-stockchart-indicators>
    </ejs-stockchart>`
})
export class AppComponent implements OnInit {
    public chartArea?: Object;
    public primaryYAxis?: Object;
    public primaryXAxis?: Object;
    public stockData?: Object[];
    public indicatorGradient?: Object;
    public tooltip?: Object;
    public crosshair?: Object;
    public height?: string;

    ngOnInit(): void {
        this.stockData = chartData;
        this.chartArea = { border: { width: 0 } };
        this.primaryYAxis = {
            lineStyle: { color: 'transparent' },
            majorTickLines: { color: 'transparent', width: 0 }
        };
        this.primaryXAxis = {
            majorGridLines: { color: 'transparent' },
            crosshairTooltip: { enable: true }
        };
        this.indicatorGradient = {
            x1: 0, y1: 0,
            x2: 0, y2: 1,
            gradientColorStop: [
                { color: 'red', offset: 0, opacity: 1 },
                { color: 'blue', offset: 100, opacity: 1 }
            ]
        };
        this.tooltip = { enable: true };
        this.crosshair = { enable: true };
        this.height = '350';
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Radial gradient

A radial gradient blends colors outward from a central point, creating a circular or elliptical color progression. Configure it by adding radialGradient inside the target element (Series, Trendline, or Indicator) and define one or more color stops to control how colors transition from the center to the outer edge. Set the gradient’s center, optional focal point, and radius using radialGradient properties. The color stop values such as offset, color, opacity, lighten, and brighten are set using the gradientColorStop property.

In the radialGradient:

  • cx - Sets the normalized horizontal center of the gradient (0 to 1).
  • cy - Sets the normalized vertical center of the gradient (0 to 1).
  • fx - Sets the normalized horizontal focal point from which the gradient appears to originate (0 to 1).
  • fy - Sets the normalized vertical focal point (0 to 1).
  • r - Sets the normalized radius of the gradient circle (0 to 1).

In the gradientColorStop:

  • offset - Specifies the position of the color stop along the gradient (0 to 100).
  • color - Sets the color at the stop.
  • opacity - Defines the transparency of the stop (0 to 1).
  • lighten - Adjusts lightness at the stop. Positive values lighten the color. Range: 0 to 1.
  • brighten - Adjusts brightness at the stop. Positive values increase brightness; negative values decrease it. Ranges: -1 to 1.

Series

Apply a radial gradient to a series by adding radialGradient inside the target Series. The same gradient is applied to the series markers, legend symbol and tooltip marker for visual consistency.

import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';



import { StockChartModule, ChartModule, ChartAllModule } from '@syncfusion/ej2-angular-charts';
import { LineSeriesService, TooltipService } from '@syncfusion/ej2-angular-charts';
import { Component, OnInit } from '@angular/core';
import { chartData } from './datasource';

@Component({
    imports: [StockChartModule, ChartModule, ChartAllModule],
    providers: [LineSeriesService, TooltipService],
    standalone: true,
    selector: 'app-container',
    template: `<ejs-stockchart id="chart-container" [primaryXAxis]="primaryXAxis" [primaryYAxis]="primaryYAxis" [title]="title">
        <e-stockchart-series-collection>
            <e-stockchart-series [dataSource]="chartData" [radialGradient]="radialGradient"></e-stockchart-series>
        </e-stockchart-series-collection>
    </ejs-stockchart>`
})
export class AppComponent implements OnInit {
    public primaryXAxis?: Object;
    public primaryYAxis?: Object;
    public chartData?: Object[];
    public radialGradient?: Object;
    public title?: string;

    ngOnInit(): void {
        this.chartData = chartData;
        this.primaryXAxis = { majorGridLines: { width: 0 } };
        this.primaryYAxis = { majorGridLines: { width: 0 }, interval: 10 };
        this.radialGradient = {
            cx: 0.5, cy: 0.5, r: 0.5,
            fx: 0.5, fy: 0.5,
            gradientColorStop: [
                { color: '#FFFF00', offset: 0, opacity: 1, lighten: 0, brighten: 0 },
                { color: '#7C3AED', offset: 100, opacity: 1, lighten: 0, brighten: 0 }
            ]
        };
        this.title = 'AAPL Stock Price';
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Technical Indicators

Apply a linear gradient to a technical indicator by adding linearGradient inside the target Indicator.

import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { StockChartModule, ChartModule, ChartAllModule } from '@syncfusion/ej2-angular-charts';
import { CandleSeriesService, EmaIndicatorService, TooltipService, CrosshairService } from '@syncfusion/ej2-angular-charts';



import { Component, OnInit } from '@angular/core';
import { chartData } from './datasource';

@Component({
    imports: [StockChartModule, ChartModule, ChartAllModule],
    providers: [CandleSeriesService, EmaIndicatorService, TooltipService, CrosshairService],
    standalone: true,
    selector: 'app-container',
    template: `<ejs-stockchart id="chart-container" [chartArea]="chartArea" [primaryYAxis]="primaryYAxis" [primaryXAxis]="primaryXAxis" [tooltip]="tooltip" [crosshair]="crosshair" [height]="height">
        <e-stockchart-series-collection>
            <e-stockchart-series [dataSource]="stockData" name="Apple Inc" type="Candle"></e-stockchart-series>
        </e-stockchart-series-collection>
        <e-stockchart-indicators>
            <e-stockchart-indicator type="Ema" field="Close" seriesName="Apple Inc" xName="date" high="high" low="low" open="open" close="close" [period]="10" [radialGradient]="radialGradient"></e-stockchart-indicator>
        </e-stockchart-indicators>
    </ejs-stockchart>`
})
export class AppComponent implements OnInit {
    public chartArea?: Object;
    public primaryYAxis?: Object;
    public primaryXAxis?: Object;
    public stockData?: Object[];
    public radialGradient?: Object;
    public tooltip?: Object;
    public crosshair?: Object;
    public height?: string;

    ngOnInit(): void {
        this.stockData = chartData;
        this.chartArea = { border: { width: 0 } };
        this.primaryYAxis = {
            lineStyle: { color: 'transparent' },
            majorTickLines: { color: 'transparent', width: 0 }
        };
        this.primaryXAxis = {
            majorGridLines: { color: 'transparent' },
            crosshairTooltip: { enable: true }
        };
        this.radialGradient = {
            cx: 0.5, cy: 0.5, r: 0.5,
            fx: 0.5, fy: 0.5,
            gradientColorStop: [
                { color: '#FFFF00', offset: 0, opacity: 1, lighten: 0, brighten: 0 },
                { color: '#7C3AED', offset: 100, opacity: 1, lighten: 0, brighten: 0 }
            ]
        };
        this.tooltip = { enable: true };
        this.crosshair = { enable: true };
        this.height = '350';
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Gradient in Vue Stock chart control

18 Nov 201824 minutes to read

Gradients add depth and modern styling to charts by smoothly blending multiple colors. The Charts component supports two gradient types:

  • Linear gradient
  • Radial gradient

Gradients can be applied to:

  • Series
  • Trendlines
  • Technical Indicators

Linear gradient

A linear gradient blends color along side a straight path from a defined start point to an end point. Configure it by adding linearGradient inside the target element (Series, Trendlines or Indicators) and define one or more color stops that control how colors transition across the gradient. Set the start and end positions of the gradient using x1, y1, x2 and y2 properties. The gradient color stop values such as offset, color, opacity, lighten and brighten are set using the gradientColorStop property.

In the linearGradient:

  • x1 - Sets the horizontal start position of the gradient (0 to 1).
  • y1 - Sets the vertical start position of the gradient (0 to 1).
  • x2 - Sets the horizontal end position of the gradient (0 to 1).
  • y2 - Sets the vertical end position of the gradient (0 to 1).

In the gradientColorStop:

  • offset - Specifies the position of the color stop along the gradient (0 to 100).
  • color - Sets the color at the stop.
  • opacity - Defines the transparency of the stop (0 to 1).
  • lighten - Adjusts lightness at the stop. Positive values lighten the color. Range: 0 to 1.
  • brighten - Adjusts brightness at the stop. Positive values increase brightness; negative values decrease it. Ranges: -1 to 1.

Series

Apply a linear gradient to a series by adding linearGradient inside the target Series. The same gradient is applied to the series markers, legend symbol and tooltip marker for visual consistency.

<template>
  <div class="control-section">
    <div>
      <ejs-stockchart id="stockchartcontainer" :primaryXAxis="primaryXAxis" :primaryYAxis="primaryYAxis"
        :title="title">
        <e-stockchart-series-collection>
          <e-stockchart-series :dataSource="seriesData" type="Candle" xName="Date" high="High" low="Low"
            open="Open" close="Close" volume="Volume" :linearGradient="linearGradient">
          </e-stockchart-series>
        </e-stockchart-series-collection>
      </ejs-stockchart>
    </div>
  </div>
</template>
<script setup>
import { provide } from "vue";
import { StockDetails } from "./datasource.js";
import {
  StockChartComponent as EjsStockchart, StockChartSeriesCollectionDirective as EStockchartSeriesCollection, StockChartSeriesDirective as EStockchartSeries, DateTime, CandleSeries, RangeTooltip, LineSeries, SplineSeries,
  HiloOpenCloseSeries, HiloSeries, RangeAreaSeries, Trendlines, EmaIndicator, RsiIndicator, BollingerBands, TmaIndicator, MomentumIndicator, SmaIndicator, AtrIndicator, AccumulationDistributionIndicator, MacdIndicator, StochasticIndicator, Export, Tooltip, Crosshair
} from "@syncfusion/ej2-vue-charts";

const seriesData = StockDetails;
const primaryXAxis = {
  valueType: 'DateTime',
};
const primaryYAxis = {
  interval: 10
};
const linearGradient = {
  x1: 0, y1: 0,
  x2: 1, y2: 1,
  gradientColorStop: [
    { color: '#FF7E5F', offset: 0, opacity: 1, lighten: 0, brighten: 0 },
    { color: '#FEB47B', offset: 100, opacity: 1, lighten: 0, brighten: 0.5 },
  ]
};
const title = 'AAPL Stock Price';

provide('stockChart', [
  DateTime, Tooltip, Crosshair, RangeTooltip, LineSeries, SplineSeries, CandleSeries, HiloOpenCloseSeries, HiloSeries, RangeAreaSeries, Trendlines, EmaIndicator, RsiIndicator,
  BollingerBands, TmaIndicator, MomentumIndicator, SmaIndicator, AtrIndicator, AccumulationDistributionIndicator, MacdIndicator, StochasticIndicator, Export
]);

</script>
<style>
#container {
  height: 350px;
}
</style>
<template>
  <div class="control-section">
    <div>
      <ejs-stockchart id="stockchartcontainer" :primaryXAxis="primaryXAxis" :primaryYAxis="primaryYAxis"
        :title="title">
        <e-stockchart-series-collection>
          <e-stockchart-series :dataSource="seriesData" type="Candle" xName="Date" high="High" low="Low"
            open="Open" close="Close" volume="Volume" :linearGradient="linearGradient">
          </e-stockchart-series>
        </e-stockchart-series-collection>
      </ejs-stockchart>
    </div>
  </div>
</template>
<script>

import { StockDetails } from "./datasource.js";
import {
  StockChartComponent, StockChartSeriesCollectionDirective, StockChartSeriesDirective, DateTime, CandleSeries, RangeTooltip, LineSeries, SplineSeries,
  HiloOpenCloseSeries, HiloSeries, RangeAreaSeries, Trendlines, EmaIndicator, RsiIndicator, BollingerBands, TmaIndicator, MomentumIndicator, SmaIndicator, AtrIndicator, AccumulationDistributionIndicator, MacdIndicator, StochasticIndicator, Export, Tooltip, Crosshair
} from "@syncfusion/ej2-vue-charts";

export default {
  name: "App",
  components: {
    'ejs-stockchart': StockChartComponent,
    'e-stockchart-series-collection': StockChartSeriesCollectionDirective,
    'e-stockchart-series': StockChartSeriesDirective
  },
  data() {
    return {
      seriesData: StockDetails,
      primaryXAxis: {
        valueType: 'DateTime',
      },
      primaryYAxis: {
        interval: 10
      },
      linearGradient: {
        x1: 0, y1: 0,
        x2: 1, y2: 1,
        gradientColorStop: [
          { color: '#FF7E5F', offset: 0, opacity: 1, lighten: 0, brighten: 0 },
          { color: '#FEB47B', offset: 100, opacity: 1, lighten: 0, brighten: 0.5 },
        ]
      },
      title: 'AAPL Stock Price',
    };
  },
  provide: {
    stockChart: [
      DateTime, Tooltip, Crosshair, RangeTooltip, LineSeries, SplineSeries, CandleSeries, HiloOpenCloseSeries, HiloSeries, RangeAreaSeries, Trendlines, EmaIndicator, RsiIndicator,
      BollingerBands, TmaIndicator, MomentumIndicator, SmaIndicator, AtrIndicator, AccumulationDistributionIndicator, MacdIndicator, StochasticIndicator, Export
    ]
  }
};
</script>
<style>
#container {
  height: 350px;
}
</style>

Technical Indicators

Apply a linear gradient to a technical indicator by adding linearGradient inside the target Indicator.

<template>
  <div class="control-section">
    <div>
      <ejs-stockchart id="stockchartcontainer" :primaryXAxis="primaryXAxis" :primaryYAxis="primaryYAxis"
        :chartArea="chartArea" :border="border" :indicators="indicators" :seriesType="seriesType"
        :exportType="exportType" :trendlineType="trendlineType" :tooltip="tooltip" :crosshair="crosshair"
        height="350" :title="title">
        <e-stockchart-series-collection>
          <e-stockchart-series :dataSource="seriesData" name="Apple Inc" type="Candle" volume='volume'
            xName='date' low='low' high='high' open='open' close='close'>
          </e-stockchart-series>
        </e-stockchart-series-collection>
      </ejs-stockchart>
    </div>
  </div>
</template>
<script setup>
import { provide } from "vue";
import { chartData } from "./datasource.js";
import {
  StockChartComponent as EjsStockchart, StockChartSeriesCollectionDirective as EStockchartSeriesCollection, StockChartSeriesDirective as EStockchartSeries, DateTime, CandleSeries, RangeTooltip, LineSeries, SplineSeries,
  HiloOpenCloseSeries, HiloSeries, RangeAreaSeries, Trendlines, EmaIndicator, RsiIndicator, BollingerBands, TmaIndicator, MomentumIndicator, SmaIndicator, AtrIndicator, AccumulationDistributionIndicator, MacdIndicator, StochasticIndicator, Export, Tooltip, Crosshair
} from "@syncfusion/ej2-vue-charts";

const seriesData = chartData;
const chartArea = { border: { width: 0 } };
const border = { width: 0 };
const primaryXAxis = {
  majorGridLines: { color: 'transparent' },
  crosshairTooltip: { enable: true }
};
const primaryYAxis = {
  lineStyle: { color: 'transparent' },
  majorTickLines: { color: 'transparent', width: 0 },
};
const indicators = [{
  type: 'Ema', field: 'Close', seriesName: 'Apple Inc', xName: 'date', high: 'high', low: 'low', open: 'open', close: 'close',
  period: 10,
  linearGradient: {
    x1: 0, y1: 0,
    x2: 0, y2: 1,
    gradientColorStop: [
      { color: 'red', offset: 0, opacity: 1 },
      { color: 'blue', offset: 100, opacity: 1 },
    ]
  }
}];
const seriesType = [];
const exportType = [];
const trendlineType = [];
const tooltip = { enable: true };
const crosshair = { enable: true };
const title = 'AAPL Stock Price';

provide('stockChart', [
  DateTime, Tooltip, Crosshair, RangeTooltip, LineSeries, SplineSeries, CandleSeries, HiloOpenCloseSeries, HiloSeries, RangeAreaSeries, Trendlines, EmaIndicator, RsiIndicator,
  BollingerBands, TmaIndicator, MomentumIndicator, SmaIndicator, AtrIndicator, AccumulationDistributionIndicator, MacdIndicator, StochasticIndicator, Export
]);

</script>
<style>
#container {
  height: 350px;
}
</style>
<template>
  <div class="control-section">
    <div>
      <ejs-stockchart id="stockchartcontainer" :primaryXAxis="primaryXAxis" :primaryYAxis="primaryYAxis"
        :chartArea="chartArea" :border="border" :indicators="indicators" :seriesType="seriesType"
        :exportType="exportType" :trendlineType="trendlineType" :tooltip="tooltip" :crosshair="crosshair"
        height="350" :title="title">
        <e-stockchart-series-collection>
          <e-stockchart-series :dataSource="seriesData" name="Apple Inc" type="Candle" volume='volume'
            xName='date' low='low' high='high' open='open' close='close'>
          </e-stockchart-series>
        </e-stockchart-series-collection>
      </ejs-stockchart>
    </div>
  </div>
</template>
<script>

import { chartData } from "./datasource.js";
import {
  StockChartComponent, StockChartSeriesCollectionDirective, StockChartSeriesDirective, DateTime, CandleSeries, RangeTooltip, LineSeries, SplineSeries,
  HiloOpenCloseSeries, HiloSeries, RangeAreaSeries, Trendlines, EmaIndicator, RsiIndicator, BollingerBands, TmaIndicator, MomentumIndicator, SmaIndicator, AtrIndicator, AccumulationDistributionIndicator, MacdIndicator, StochasticIndicator, Export, Tooltip, Crosshair
} from "@syncfusion/ej2-vue-charts";

export default {
  name: "App",
  components: {
    'ejs-stockchart': StockChartComponent,
    'e-stockchart-series-collection': StockChartSeriesCollectionDirective,
    'e-stockchart-series': StockChartSeriesDirective
  },
  data() {
    return {
      seriesData: chartData,
      chartArea: { border: { width: 0 } },
      border: { width: 0 },
      primaryXAxis: {
        majorGridLines: { color: 'transparent' },
        crosshairTooltip: { enable: true }
      },
      primaryYAxis: {
        lineStyle: { color: 'transparent' },
        majorTickLines: { color: 'transparent', width: 0 },
      },
      indicators: [{
        type: 'Ema', field: 'Close', seriesName: 'Apple Inc', xName: 'date', high: 'high', low: 'low', open: 'open', close: 'close',
        period: 10,
        linearGradient: {
          x1: 0, y1: 0,
          x2: 0, y2: 1,
          gradientColorStop: [
            { color: 'red', offset: 0, opacity: 1 },
            { color: 'blue', offset: 100, opacity: 1 },
          ]
        }
      }],
      seriesType: [],
      exportType: [],
      trendlineType: [],
      tooltip: { enable: true },
      crosshair: { enable: true },
      title: 'AAPL Stock Price',
    };
  },
  provide: {
    stockChart: [
      DateTime, Tooltip, Crosshair, RangeTooltip, LineSeries, SplineSeries, CandleSeries, HiloOpenCloseSeries, HiloSeries, RangeAreaSeries, Trendlines, EmaIndicator, RsiIndicator,
      BollingerBands, TmaIndicator, MomentumIndicator, SmaIndicator, AtrIndicator, AccumulationDistributionIndicator, MacdIndicator, StochasticIndicator, Export
    ]
  }
};
</script>
<style>
#container {
  height: 350px;
}
</style>

Radial gradient

A radial gradient blends colors outward from a central point, creating a circular or elliptical color progression. Configure it by adding radialGradient inside the target element (Series, Trendline, or Indicator) and define one or more color stops to control how colors transition from the center to the outer edge. Set the gradient’s center, optional focal point, and radius using radialGradient properties. The color stop values such as offset, color, opacity, lighten, and brighten are set using the gradientColorStop property.

In the radialGradient:

  • cx - Sets the normalized horizontal center of the gradient (0 to 1).
  • cy - Sets the normalized vertical center of the gradient (0 to 1).
  • fx - Sets the normalized horizontal focal point from which the gradient appears to originate (0 to 1).
  • fy - Sets the normalized vertical focal point (0 to 1).
  • r - Sets the normalized radius of the gradient circle (0 to 1).

In the gradientColorStop:

  • offset - Specifies the position of the color stop along the gradient (0 to 100).
  • color - Sets the color at the stop.
  • opacity - Defines the transparency of the stop (0 to 1).
  • lighten - Adjusts lightness at the stop. Positive values lighten the color. Range: 0 to 1.
  • brighten - Adjusts brightness at the stop. Positive values increase brightness; negative values decrease it. Ranges: -1 to 1.

Series

Apply a radial gradient to a series by adding radialGradient inside the target Series. The same gradient is applied to the series markers, legend symbol and tooltip marker for visual consistency.

<template>
  <div class="control-section">
    <div>
      <ejs-stockchart id="stockchartcontainer" :primaryXAxis="primaryXAxis" :primaryYAxis="primaryYAxis"
        :title="title">
        <e-stockchart-series-collection>
          <e-stockchart-series :dataSource="seriesData" type="Candle" high='high' low='low'
            open='open' close='close' volume='volume' :radialGradient="radialGradient">
          </e-stockchart-series>
        </e-stockchart-series-collection>
      </ejs-stockchart>
    </div>
  </div>
</template>
<script setup>
import { provide } from "vue";
import { chartData } from "./datasource.js";
import {
  StockChartComponent as EjsStockchart, StockChartSeriesCollectionDirective as EStockchartSeriesCollection, StockChartSeriesDirective as EStockchartSeries, DateTime, CandleSeries, RangeTooltip, LineSeries, SplineSeries,
  HiloOpenCloseSeries, HiloSeries, RangeAreaSeries, Trendlines, EmaIndicator, RsiIndicator, BollingerBands, TmaIndicator, MomentumIndicator, SmaIndicator, AtrIndicator, AccumulationDistributionIndicator, MacdIndicator, StochasticIndicator, Export, Tooltip, Crosshair
} from "@syncfusion/ej2-vue-charts";

const seriesData = chartData;
const primaryXAxis = {
  majorGridLines: { width: 0 },
};
const primaryYAxis = {
  majorGridLines: { width: 0 },
  interval: 10
};
const radialGradient = {
  cx: 0.5, cy: 0.5, r: 0.5,
  fx: 0.5, fy: 0.5,
  gradientColorStop: [
    { color: '#FFFF00', offset: 0, opacity: 1, lighten: 0, brighten: 0 },
    { color: '#7C3AED', offset: 100, opacity: 1, lighten: 0, brighten: 0 },
  ]
};
const title = 'AAPL Stock Price';

provide('stockChart', [
  DateTime, Tooltip, Crosshair, RangeTooltip, LineSeries, SplineSeries, CandleSeries, HiloOpenCloseSeries, HiloSeries, RangeAreaSeries, Trendlines, EmaIndicator, RsiIndicator,
  BollingerBands, TmaIndicator, MomentumIndicator, SmaIndicator, AtrIndicator, AccumulationDistributionIndicator, MacdIndicator, StochasticIndicator, Export
]);

</script>
<style>
#container {
  height: 350px;
}
</style>
<template>
  <div class="control-section">
    <div>
      <ejs-stockchart id="stockchartcontainer" :primaryXAxis="primaryXAxis" :primaryYAxis="primaryYAxis"
        :title="title">
        <e-stockchart-series-collection>
          <e-stockchart-series :dataSource="seriesData" type="Candle" high='high' low='low'
            open='open' close='close' volume='volume' :radialGradient="radialGradient">
          </e-stockchart-series>
        </e-stockchart-series-collection>
      </ejs-stockchart>
    </div>
  </div>
</template>
<script>

import { chartData } from "./datasource.js";
import {
  StockChartComponent, StockChartSeriesCollectionDirective, StockChartSeriesDirective, DateTime, CandleSeries, RangeTooltip, LineSeries, SplineSeries,
  HiloOpenCloseSeries, HiloSeries, RangeAreaSeries, Trendlines, EmaIndicator, RsiIndicator, BollingerBands, TmaIndicator, MomentumIndicator, SmaIndicator, AtrIndicator, AccumulationDistributionIndicator, MacdIndicator, StochasticIndicator, Export, Tooltip, Crosshair
} from "@syncfusion/ej2-vue-charts";

export default {
  name: "App",
  components: {
    'ejs-stockchart': StockChartComponent,
    'e-stockchart-series-collection': StockChartSeriesCollectionDirective,
    'e-stockchart-series': StockChartSeriesDirective
  },
  data() {
    return {
      seriesData: chartData,
      primaryXAxis: {
        majorGridLines: { width: 0 },
      },
      primaryYAxis: {
        majorGridLines: { width: 0 },
        interval: 10
      },
      radialGradient: {
        cx: 0.5, cy: 0.5, r: 0.5,
        fx: 0.5, fy: 0.5,
        gradientColorStop: [
          { color: '#FFFF00', offset: 0, opacity: 1, lighten: 0, brighten: 0 },
          { color: '#7C3AED', offset: 100, opacity: 1, lighten: 0, brighten: 0 },
        ]
      },
      title: 'AAPL Stock Price',
    };
  },
  provide: {
    stockChart: [
      DateTime, Tooltip, Crosshair, RangeTooltip, LineSeries, SplineSeries, CandleSeries, HiloOpenCloseSeries, HiloSeries, RangeAreaSeries, Trendlines, EmaIndicator, RsiIndicator,
      BollingerBands, TmaIndicator, MomentumIndicator, SmaIndicator, AtrIndicator, AccumulationDistributionIndicator, MacdIndicator, StochasticIndicator, Export
    ]
  }
};
</script>
<style>
#container {
  height: 350px;
}
</style>

Technical Indicators

Apply a linear gradient to a technical indicator by adding linearGradient inside the target Indicator.

<template>
  <div class="control-section">
    <div>
      <ejs-stockchart id="stockchartcontainer" :primaryXAxis="primaryXAxis" :primaryYAxis="primaryYAxis"
        :chartArea="chartArea" :border="border" :indicators="indicators" :seriesType="seriesType"
        :exportType="exportType" :trendlineType="trendlineType" :tooltip="tooltip" :crosshair="crosshair"
        height="350" :title="title">
        <e-stockchart-series-collection>
          <e-stockchart-series :dataSource="seriesData" name="Apple Inc" type="Candle" volume='volume'
            xName='date' low='low' high='high' open='open' close='close'>
          </e-stockchart-series>
        </e-stockchart-series-collection>
      </ejs-stockchart>
    </div>
  </div>
</template>
<script setup>
import { provide } from "vue";
import { chartData } from "./datasource.js";
import {
  StockChartComponent as EjsStockchart, StockChartSeriesCollectionDirective as EStockchartSeriesCollection, StockChartSeriesDirective as EStockchartSeries, DateTime, CandleSeries, RangeTooltip, LineSeries, SplineSeries,
  HiloOpenCloseSeries, HiloSeries, RangeAreaSeries, Trendlines, EmaIndicator, RsiIndicator, BollingerBands, TmaIndicator, MomentumIndicator, SmaIndicator, AtrIndicator, AccumulationDistributionIndicator, MacdIndicator, StochasticIndicator, Export, Tooltip, Crosshair
} from "@syncfusion/ej2-vue-charts";

const seriesData = chartData;
const chartArea = { border: { width: 0 } };
const border = { width: 0 };
const primaryXAxis = {
  majorGridLines: { color: 'transparent' },
  crosshairTooltip: { enable: true }
};
const primaryYAxis = {
  lineStyle: { color: 'transparent' },
  majorTickLines: { color: 'transparent', width: 0 },
};
const indicators = [{
  type: 'Ema', field: 'Close', seriesName: 'Apple Inc', xName: 'date', high: 'high', low: 'low', open: 'open', close: 'close',
  period: 10,
  radialGradient: {
    cx: 0.5, cy: 0.5, r: 0.5,
    fx: 0.5, fy: 0.5,
    gradientColorStop: [
      { color: '#FFFF00', offset: 0, opacity: 1, lighten: 0, brighten: 0 },
      { color: '#7C3AED', offset: 100, opacity: 1, lighten: 0, brighten: 0 },
    ]
  },
}];
const seriesType = [];
const exportType = [];
const trendlineType = [];
const tooltip = { enable: true };
const crosshair = { enable: true };
const title = 'AAPL Stock Price';

provide('stockChart', [
  DateTime, Tooltip, Crosshair, RangeTooltip, LineSeries, SplineSeries, CandleSeries, HiloOpenCloseSeries, HiloSeries, RangeAreaSeries, Trendlines, EmaIndicator, RsiIndicator,
  BollingerBands, TmaIndicator, MomentumIndicator, SmaIndicator, AtrIndicator, AccumulationDistributionIndicator, MacdIndicator, StochasticIndicator, Export
]);

</script>
<style>
#container {
  height: 350px;
}
</style>
<template>
  <div class="control-section">
    <div>
      <ejs-stockchart id="stockchartcontainer" :primaryXAxis="primaryXAxis" :primaryYAxis="primaryYAxis"
        :chartArea="chartArea" :border="border" :indicators="indicators" :seriesType="seriesType"
        :exportType="exportType" :trendlineType="trendlineType" :tooltip="tooltip" :crosshair="crosshair"
        height="350" :title="title">
        <e-stockchart-series-collection>
          <e-stockchart-series :dataSource="seriesData" name="Apple Inc" type="Candle" volume='volume'
            xName='date' low='low' high='high' open='open' close='close'>
          </e-stockchart-series>
        </e-stockchart-series-collection>
      </ejs-stockchart>
    </div>
  </div>
</template>
<script>

import { chartData } from "./datasource.js";
import {
  StockChartComponent, StockChartSeriesCollectionDirective, StockChartSeriesDirective, DateTime, CandleSeries, RangeTooltip, LineSeries, SplineSeries,
  HiloOpenCloseSeries, HiloSeries, RangeAreaSeries, Trendlines, EmaIndicator, RsiIndicator, BollingerBands, TmaIndicator, MomentumIndicator, SmaIndicator, AtrIndicator, AccumulationDistributionIndicator, MacdIndicator, StochasticIndicator, Export, Tooltip, Crosshair
} from "@syncfusion/ej2-vue-charts";

export default {
  name: "App",
  components: {
    'ejs-stockchart': StockChartComponent,
    'e-stockchart-series-collection': StockChartSeriesCollectionDirective,
    'e-stockchart-series': StockChartSeriesDirective
  },
  data() {
    return {
      seriesData: chartData,
      chartArea: { border: { width: 0 } },
      border: { width: 0 },
      primaryXAxis: {
        majorGridLines: { color: 'transparent' },
        crosshairTooltip: { enable: true }
      },
      primaryYAxis: {
        lineStyle: { color: 'transparent' },
        majorTickLines: { color: 'transparent', width: 0 },
      },
      indicators: [{
        type: 'Ema', field: 'Close', seriesName: 'Apple Inc', xName: 'date', high: 'high', low: 'low', open: 'open', close: 'close',
        period: 10,
        radialGradient: {
          cx: 0.5, cy: 0.5, r: 0.5,
          fx: 0.5, fy: 0.5,
          gradientColorStop: [
            { color: '#FFFF00', offset: 0, opacity: 1, lighten: 0, brighten: 0 },
            { color: '#7C3AED', offset: 100, opacity: 1, lighten: 0, brighten: 0 },
        ]
      },
      }],
      seriesType: [],
      exportType: [],
      trendlineType: [],
      tooltip: { enable: true },
      crosshair: { enable: true },
      title: 'AAPL Stock Price',
    };
  },
  provide: {
    stockChart: [
      DateTime, Tooltip, Crosshair, RangeTooltip, LineSeries, SplineSeries, CandleSeries, HiloOpenCloseSeries, HiloSeries, RangeAreaSeries, Trendlines, EmaIndicator, RsiIndicator,
      BollingerBands, TmaIndicator, MomentumIndicator, SmaIndicator, AtrIndicator, AccumulationDistributionIndicator, MacdIndicator, StochasticIndicator, Export
    ]
  }
};
</script>
<style>
#container {
  height: 350px;
}
</style>

Gradient in React Stock chart control

18 Nov 201824 minutes to read

Gradients add depth and modern styling to charts by smoothly blending multiple colors. The Charts component supports two gradient types:

  • Linear gradient
  • Radial gradient

Gradients can be applied to:

  • Series
  • Technical Indicators

Linear gradient

A linear gradient blends color along side a straight path from a defined start point to an end point. Configure it by adding linearGradient inside the target element (Series, Trendlines or Indicators) and define one or more color stops that control how colors transition across the gradient. Set the start and end positions of the gradient using x1, y1, x2 and y2 properties. The gradient color stop values such as offset, color, opacity, lighten and brighten are set using the gradientColorStop property.

In the linearGradient:

  • x1 - Sets the horizontal start position of the gradient (0 to 1).
  • y1 - Sets the vertical start position of the gradient (0 to 1).
  • x2 - Sets the horizontal end position of the gradient (0 to 1).
  • y2 - Sets the vertical end position of the gradient (0 to 1).

In the gradientColorStop:

  • offset - Specifies the position of the color stop along the gradient (0 to 100).
  • color - Sets the color at the stop.
  • opacity - Defines the transparency of the stop (0 to 1).
  • lighten - Adjusts lightness at the stop. Positive values lighten the color. Range: 0 to 1.
  • brighten - Adjusts brightness at the stop. Positive values increase brightness; negative values decrease it. Ranges: -1 to 1.

Series

Apply a linear gradient to a series by adding linearGradient inside the target Series. The same gradient is applied to the series markers, legend symbol and tooltip marker for visual consistency.

import * as React from 'react';
import * as ReactDOM from 'react-dom';
import { StockChartComponent, StockChartSeriesCollectionDirective, StockChartSeriesDirective, Inject, DateTime, Tooltip, RangeTooltip, Crosshair, LineSeries, SplineSeries, CandleSeries, HiloOpenCloseSeries, HiloSeries, RangeAreaSeries, Trendlines } from '@syncfusion/ej2-react-charts';
import { EmaIndicator, RsiIndicator, BollingerBands, TmaIndicator, MomentumIndicator, SmaIndicator, AtrIndicator, AccumulationDistributionIndicator, MacdIndicator, StochasticIndicator, Export } from '@syncfusion/ej2-react-charts';
import { chartData } from '../datasource';

function App() {
  const linearGradient = {
    x1: 0, y1: 0,
    x2: 1, y2: 1,
    gradientColorStop: [
      { color: '#FF7E5F', offset: 0, opacity: 1, lighten: 0, brighten: 0 },
      { color: '#FEB47B', offset: 100, opacity: 1, lighten: 0, brighten: 0.5 }
    ]
  };
  return (
    <StockChartComponent id='stockchart' primaryXAxis={{ valueType: 'DateTime' }} primaryYAxis={{ interval: 10 }} height='350' title="AAPL Stock Price">
      <Inject services={[DateTime, Tooltip, RangeTooltip, Crosshair, LineSeries, SplineSeries, CandleSeries, HiloOpenCloseSeries, HiloSeries, RangeAreaSeries, Trendlines, EmaIndicator, RsiIndicator, BollingerBands, TmaIndicator, MomentumIndicator, SmaIndicator, AtrIndicator, Export, AccumulationDistributionIndicator, MacdIndicator, StochasticIndicator]}/>
      <StockChartSeriesCollectionDirective>
        <StockChartSeriesDirective name="AAPL" dataSource={StockDetails} type="Candle" xName="Date" high="High" low="Low" open="Open" close="Close" volume="Volume" linearGradient={linearGradient} />
      </StockChartSeriesCollectionDirective>
    </StockChartComponent>
  );
}
export default App;
ReactDOM.render(<App />, document.getElementById('charts'));
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import { StockChartComponent, StockChartSeriesCollectionDirective, StockChartSeriesDirective, Inject, DateTime, Tooltip, RangeTooltip, Crosshair, LineSeries, SplineSeries, CandleSeries, HiloOpenCloseSeries, HiloSeries, RangeAreaSeries, Trendlines } from '@syncfusion/ej2-react-charts';
import { EmaIndicator, RsiIndicator, BollingerBands, TmaIndicator, MomentumIndicator, SmaIndicator, AtrIndicator, AccumulationDistributionIndicator, MacdIndicator, StochasticIndicator, Export } from '@syncfusion/ej2-react-charts';
import { chartData } from '../datasource';

function App() {
  const linearGradient = { x1: 0, y1: 0, x2: 1, y2: 1,
    gradientColorStop: [
      { color: '#FF7E5F', offset: 0, opacity: 1, lighten: 0, brighten: 0 },
      { color: '#FEB47B', offset: 100, opacity: 1, lighten: 0, brighten: 0.5 }
    ]
  };
  return (
    <StockChartComponent id="stockchart" primaryXAxis={{ valueType: 'DateTime' }} primaryYAxis={{ interval: 10 }} height='350' title="AAPL Stock Price">
      <Inject services={[DateTime, Tooltip, RangeTooltip, Crosshair, LineSeries, SplineSeries, CandleSeries, HiloOpenCloseSeries, HiloSeries, RangeAreaSeries, Trendlines, EmaIndicator, RsiIndicator, BollingerBands, TmaIndicator, MomentumIndicator, SmaIndicator, AtrIndicator, Export, AccumulationDistributionIndicator, MacdIndicator, StochasticIndicator]}/>
      <StockChartSeriesCollectionDirective>
        <StockChartSeriesDirective name="AAPL" dataSource={StockDetails} type="Candle" xName="Date" high="High" low="Low" open="Open" close="Close" volume="Volume" linearGradient={linearGradient} />
      </StockChartSeriesCollectionDirective>
    </StockChartComponent>
  );
}
export default App;
ReactDOM.render(<App />, document.getElementById('charts'));

Technical Indicators

Apply a linear gradient to a technical indicator by adding linearGradient inside the target Indicator.

import * as React from 'react';
import * as ReactDOM from 'react-dom';
import { StockChartComponent, StockChartSeriesCollectionDirective, StockChartSeriesDirective, Inject, DateTime, EmaIndicator, Tooltip, RangeTooltip, Crosshair, CandleSeries, StockChartIndicatorsDirective, StockChartIndicatorDirective, LineSeries, SplineSeries, HiloOpenCloseSeries, HiloSeries, RangeAreaSeries } from '@syncfusion/ej2-react-charts';
import { chartData } from '../datasource';

function App() {
  const primaryXAxis = { majorGridLines: { color: 'transparent' }, crosshairTooltip: { enable: true } };
  const primaryYAxis = { lineStyle: { color: 'transparent' }, majorTickLines: { color: 'transparent', width: 0 } };
  const trendGradient = {
    x1: 0, y1: 0, x2: 0, y2: 1,
    gradientColorStop: [
      { color: 'red', offset: 0, opacity: 1 },
      { color: 'blue', offset: 100, opacity: 1 }
    ]
  };
  return (
    <StockChartComponent id="stockchart" chartArea={{ border: { width: 0 } }} primaryXAxis={primaryXAxis} primaryYAxis={primaryYAxis} tooltip={{ enable: true }} crosshair={{ enable: true }} height="350" title="AAPL Stock Price" >
       <Inject services={[DateTime, Tooltip, RangeTooltip, Crosshair, CandleSeries, EmaIndicator,
            LineSeries, SplineSeries, HiloOpenCloseSeries, HiloSeries, RangeAreaSeries]}/>
      <StockChartSeriesCollectionDirective>
        <StockChartSeriesDirective dataSource={chartData} name="Apple Inc" type="Candle" />
      </StockChartSeriesCollectionDirective>
      <StockChartIndicatorsDirective>
        <StockChartIndicatorDirective type="Ema" field="Close" seriesName="Apple Inc" xName="date" high="high" low="low" open="open" close="close" period={10} linearGradient={trendGradient} />
      </StockChartIndicatorsDirective>
    </StockChartComponent>
  );
}
export default App;
ReactDOM.render(<App />, document.getElementById('charts'));
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import { AxisModel, StockChartComponent, StockChartSeriesCollectionDirective, StockChartSeriesDirective, Inject, DateTime, EmaIndicator, Tooltip, RangeTooltip, Crosshair, CandleSeries, StockChartIndicatorsDirective, StockChartIndicatorDirective, LineSeries, SplineSeries, HiloOpenCloseSeries, HiloSeries, RangeAreaSeries } from '@syncfusion/ej2-react-charts';
import { chartData } from '../datasource';

function App() {
  const primaryXAxis: AxisModel = { majorGridLines: { color: 'transparent' }, crosshairTooltip: { enable: true } };
  const primaryYAxis: AxisModel = { lineStyle: { color: 'transparent' }, majorTickLines: { color: 'transparent', width: 0 } };
  const trendGradient = {
    x1: 0, y1: 0, x2: 0, y2: 1,
    gradientColorStop: [
      { color: 'red', offset: 0, opacity: 1 },
      { color: 'blue', offset: 100, opacity: 1 }
    ]
  };
  return (
    <StockChartComponent id="stockchart" chartArea={{ border: { width: 0 } }} primaryXAxis={primaryXAxis} primaryYAxis={primaryYAxis} tooltip={{ enable: true }} crosshair={{ enable: true }} height="350" title="AAPL Stock Price" >
      <Inject services={[DateTime, Tooltip, RangeTooltip, Crosshair, CandleSeries, EmaIndicator, LineSeries, SplineSeries, HiloOpenCloseSeries, HiloSeries, RangeAreaSeries]} />
      <StockChartSeriesCollectionDirective>
        <StockChartSeriesDirective dataSource={chartData} name="Apple Inc" type="Candle" />
      </StockChartSeriesCollectionDirective>
      <StockChartIndicatorsDirective>
        <StockChartIndicatorDirective type="Ema" field="Close" seriesName="Apple Inc" xName="date" high="High" low="Low" open="Open" close="Close" period={10} linearGradient={trendGradient} />
      </StockChartIndicatorsDirective>
    </StockChartComponent>
  );
}
export default App;
ReactDOM.render(<App />, document.getElementById('charts'));

Radial gradient

A radial gradient blends colors outward from a central point, creating a circular or elliptical color progression. Configure it by adding radialGradient inside the target element (Series, Trendline, or Indicator) and define one or more color stops to control how colors transition from the center to the outer edge. Set the gradient’s center, optional focal point, and radius using radialGradient properties. The color stop values such as offset, color, opacity, lighten, and brighten are set using the gradientColorStop property.

In the radialGradient:

  • cx - Sets the normalized horizontal center of the gradient (0 to 1).
  • cy - Sets the normalized vertical center of the gradient (0 to 1).
  • fx - Sets the normalized horizontal focal point from which the gradient appears to originate (0 to 1).
  • fy - Sets the normalized vertical focal point (0 to 1).
  • r - Sets the normalized radius of the gradient circle (0 to 1).

In the gradientColorStop:

  • offset - Specifies the position of the color stop along the gradient (0 to 100).
  • color - Sets the color at the stop.
  • opacity - Defines the transparency of the stop (0 to 1).
  • lighten - Adjusts lightness at the stop. Positive values lighten the color. Range: 0 to 1.
  • brighten - Adjusts brightness at the stop. Positive values increase brightness; negative values decrease it. Ranges: -1 to 1.

Series

Apply a radial gradient to a series by adding radialGradient inside the target Series. The same gradient is applied to the series markers, legend symbol and tooltip marker for visual consistency.

import * as React from 'react';
import * as ReactDOM from 'react-dom';
import { StockChartComponent, StockChartSeriesCollectionDirective, StockChartSeriesDirective, Inject, DateTime, Tooltip, RangeTooltip, Crosshair, CandleSeries, LineSeries, SplineSeries, HiloOpenCloseSeries, HiloSeries, RangeAreaSeries } from '@syncfusion/ej2-react-charts';
import { chartData } from '../datasource';

function App() {
  const primaryXAxis = { majorGridLines: { width: 0 } };
  const primaryYAxis = { majorGridLines: { width: 0 }, interval: 10 };
  const radialGradient = {
    cx: 0.5, cy: 0.5, r: 0.5,
    fx: 0.5, fy: 0.5,
    gradientColorStop: [
      { color: '#FFFF00', offset: 0, opacity: 1, lighten: 0, brighten: 0 },
      { color: '#7C3AED', offset: 100, opacity: 1, lighten: 0, brighten: 0 }
    ]
  };

  return (
    <StockChartComponent id="stockchart" primaryXAxis={primaryXAxis} primaryYAxis={primaryYAxis} height='350' title="AAPL Stock Price">
      <Inject services={[DateTime, Tooltip, RangeTooltip, Crosshair, CandleSeries,
            LineSeries, SplineSeries, HiloOpenCloseSeries, HiloSeries, RangeAreaSeries]}/>
      <StockChartSeriesCollectionDirective>
        <StockChartSeriesDirective dataSource={chartData} type="Candle" radialGradient={radialGradient} />
      </StockChartSeriesCollectionDirective>
    </StockChartComponent>
  );
}

export default App;
ReactDOM.render(<App />, document.getElementById('charts'));
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import { AxisModel, StockChartComponent, StockChartSeriesCollectionDirective, StockChartSeriesDirective, Inject, DateTime, Tooltip, RangeTooltip, Crosshair, CandleSeries, LineSeries, SplineSeries, HiloOpenCloseSeries, HiloSeries, RangeAreaSeries } from '@syncfusion/ej2-react-charts';
import { chartData } from '../datasource';
function App() {
  const primaryXAxis: AxisModel = { majorGridLines: { width: 0 } };
  const primaryYAxis: AxisModel = { majorGridLines: { width: 0 }, interval: 10 };
  const radialGradient = {
    cx: 0.5, cy: 0.5, r: 0.5,
    fx: 0.5, fy: 0.5,
    gradientColorStop: [
      { color: '#FFFF00', offset: 0, opacity: 1, lighten: 0, brighten: 0 },
      { color: '#7C3AED', offset: 100, opacity: 1, lighten: 0, brighten: 0 }
    ]
  };
  return (
    <StockChartComponent id="stockchart" primaryXAxis={primaryXAxis} primaryYAxis={primaryYAxis} height='350' title="AAPL Stock Price">
      <Inject services={[DateTime, Tooltip, RangeTooltip, Crosshair, CandleSeries, LineSeries, SplineSeries, HiloOpenCloseSeries, HiloSeries, RangeAreaSeries]} />
      <StockChartSeriesCollectionDirective>
        <StockChartSeriesDirective dataSource={chartData} type="Candle" radialGradient={radialGradient} />
      </StockChartSeriesCollectionDirective>
    </StockChartComponent>
  );
}
export default App;
ReactDOM.render(<App />, document.getElementById('charts'));

Technical Indicators

Apply a linear gradient to a technical indicator by adding linearGradient inside the target Indicator.

import * as React from 'react';
import * as ReactDOM from 'react-dom';
import { StockChartComponent, StockChartSeriesCollectionDirective, StockChartSeriesDirective, Inject, DateTime, EmaIndicator, Tooltip, RangeTooltip, Crosshair, CandleSeries, StockChartIndicatorsDirective, StockChartIndicatorDirective, LineSeries, SplineSeries, HiloOpenCloseSeries, HiloSeries, RangeAreaSeries } from '@syncfusion/ej2-react-charts';
import { chartData } from '../datasource';

function App() {
  const primaryXAxis = { majorGridLines: { color: 'transparent' }, crosshairTooltip: { enable: true } };
  const primaryYAxis = { lineStyle: { color: 'transparent' }, majorTickLines: { color: 'transparent', width: 0 } };
  const radialGradient = {
    cx: 0.5, cy: 0.5, r: 0.5,
    fx: 0.5, fy: 0.5,
    gradientColorStop: [
      { color: '#FFFF00', offset: 0, opacity: 1, lighten: 0, brighten: 0 },
      { color: '#7C3AED', offset: 100, opacity: 1, lighten: 0, brighten: 0 }
    ]
  };
  return (
    <StockChartComponent id="stockchart" chartArea={{ border: { width: 0 } }} primaryXAxis={primaryXAxis} primaryYAxis={primaryYAxis} tooltip={{ enable: true }} crosshair={{ enable: true }} height="350" title="AAPL Stock Price" >
       <Inject services={[DateTime, Tooltip, RangeTooltip, Crosshair, CandleSeries, EmaIndicator,
            LineSeries, SplineSeries, HiloOpenCloseSeries, HiloSeries, RangeAreaSeries]}/>
      <StockChartSeriesCollectionDirective>
        <StockChartSeriesDirective dataSource={chartData} name="Apple Inc" type="Candle" />
      </StockChartSeriesCollectionDirective>
      <StockChartIndicatorsDirective>
        <StockChartIndicatorDirective type="Ema" field="Close" seriesName="Apple Inc" xName="date" high="high" low="low" open="open" close="close" period={10} radialGradient={radialGradient} />
      </StockChartIndicatorsDirective>
    </StockChartComponent>
  );
}
export default App;
ReactDOM.render(<App />, document.getElementById('charts'));
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import { AxisModel, StockChartComponent, StockChartSeriesCollectionDirective, StockChartSeriesDirective, Inject, DateTime, EmaIndicator, Tooltip, RangeTooltip, Crosshair, CandleSeries, StockChartIndicatorsDirective, StockChartIndicatorDirective, LineSeries, SplineSeries, HiloOpenCloseSeries, HiloSeries, RangeAreaSeries } from '@syncfusion/ej2-react-charts';
import { chartData } from '../datasource';

function App() {
  const primaryXAxis: AxisModel = { majorGridLines: { color: 'transparent' }, crosshairTooltip: { enable: true } };
  const primaryYAxis: AxisModel = { lineStyle: { color: 'transparent' }, majorTickLines: { color: 'transparent', width: 0 } };
  const radialGradient = {
    cx: 0.5, cy: 0.5, r: 0.5,
    fx: 0.5, fy: 0.5,
    gradientColorStop: [
      { color: '#FFFF00', offset: 0, opacity: 1, lighten: 0, brighten: 0 },
      { color: '#7C3AED', offset: 100, opacity: 1, lighten: 0, brighten: 0 }
    ]
  };
  return (
    <StockChartComponent id="stockchart" chartArea={{ border: { width: 0 } }} primaryXAxis={primaryXAxis} primaryYAxis={primaryYAxis} tooltip={{ enable: true }} crosshair={{ enable: true }} height="350" title="AAPL Stock Price" >
      <Inject services={[DateTime, Tooltip, RangeTooltip, Crosshair, CandleSeries, EmaIndicator, LineSeries, SplineSeries, HiloOpenCloseSeries, HiloSeries, RangeAreaSeries]} />
      <StockChartSeriesCollectionDirective>
        <StockChartSeriesDirective dataSource={chartData} name="Apple Inc" type="Candle" />
      </StockChartSeriesCollectionDirective>
      <StockChartIndicatorsDirective>
        <StockChartIndicatorDirective type="Ema" field="Close" seriesName="Apple Inc" xName="date" high="High" low="Low" open="Open" close="Close" period={10} radialGradient={radialGradient} />
      </StockChartIndicatorsDirective>
    </StockChartComponent>
  );
}
export default App;
ReactDOM.render(<App />, document.getElementById('charts'));